﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_Homework>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
       Homework
    </h1>
</div>
@section scripts{
                      <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
                      <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
                      @Content.Script("ChildAddEdit.js", Url)
                      <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
                      <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
                      <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
                      </script>
    <script type="text/javascript">

        deleterecord("Tb_Homework");
    </script>
                      <script type="text/javascript">
        function Delete(pid) {
            $("#delbtn").click(function () {
                window.location = "/Homework/Delete/" + pid;
            });
            $("#basic").modal('show');

        }
                      </script>
}
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Homework</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        @{
            string error = "";
            string message = "";
            try
            {
                error = ViewBag.error;
            }
            catch (Exception ex)
            { }
            try
            {
                message = ViewBag.message;
            }
            catch (Exception ex)
            { }
            if (error != "" && error != null)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @error
                </div>
            }
            if (message != "" && message != null)
            {
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @message
                </div>
            }



        }
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table" id="example">
                <thead>
                    <tr>
                        <th>
                            Date
                        </th>

                        <th>
                            @Html.DisplayNameFor(model => model.Title)
                        </th>
                        <th>
                            Type
                        </th>
                        <th>
                            Counter
                        </th>
                        <th>
                            File
                        </th>


                        <th></th>

                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {

                        <tr>
                            <td>
                                @item.CDate.Value.ToString("dd/MMM/yyyy")
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Title)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.HType)
                            </td>
                            <td>
                                @item.Counter
                            </td>
                            <td>
                                <a href="~/Download/@item.HFile" download="@item.HFile" target="_blank">Download</a>
                            </td>


                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @{

                                    int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.Homework, UserAction.Delete) == true)
                                    {
                                        <a href='#' onclick='Delete(@item.Id);' title='Delete'><i class='icon-trash'></i> Delete </a>
                                    }
                                }
                                @*@Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })*@
                            </td>

                        </tr>
                                    }
                </tbody>
            </table>


        </div>
       
    </div>
</div>
                      <div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
                          <div class="modal-dialog">
                              <div class="modal-content">
                                  <div class="modal-header">
                                      <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                                      <h4 class="modal-title">Confirmation</h4>
                                  </div>
                                  <div class="modal-body">
                                      These items will be permanently deleted and cannot be recovered. Are you sure?
                                  </div>
                                  <div class="modal-footer">
                                      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                      <button type="button" id="delbtn" class="btn btn-primary">Delete</button>
                                  </div>
                              </div>
                              <!-- /.modal-content -->
                          </div>
                          <!-- /.modal-dialog -->
                      </div>
